freemarker.core

## Class UnparsableValueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - freemarker.core.TemplateValueFormatException
      - - freemarker.core.UnparsableValueException

All Implemented Interfaces:
  Serializable

    public class UnparsableValueException
    extends TemplateValueFormatException

Thrown when the content of the string that should be parsed by the `TemplateValueFormat` doesn't match what the format expects.

Since:
  2.3.24
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnparsableValueException(String message)`
`UnparsableValueException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnparsableValueException

    public UnparsableValueException(String message,
                                    Throwable cause)

#### UnparsableValueException

    public UnparsableValueException(String message)